//-----------------------------------------------------------------------------
// CodeBits Script Mod
// Copyright (c) SolarFlare Productions
//-----------------------------------------------------------------------------

exec("rtb/client/ui/CodeBitsGui.gui");

//-------------------------------------------------------------------
// Site Connections
//-------------------------------------------------------------------

function getCodeBits(%type)
{
	%http = new HTTPObject(CodeBits);
	$Pref::CodeType = %type;

	//Check if you're searching for client or server scripts

	if (%type $= "client")
	{
	%http.get("solarblock.googlepages.com:80", "/clientcode.txt", "");
	}
	else if (%type $= "server")
	{
	%http.get("solarblock.googlepages.com:80", "/servercode.txt", "");
	}

	//Clear the TempCode

	%file = new FileObject(); 
	%file.openForWrite("rtb/client/tempCodeBits.cs"); 
	%file.writeLine(""); 
	%file.close(); 
	%file.delete();
}

function CodeBits::onLine(%this, %line)
{

	%file = new FileObject(); 
	%file.openForAppend("rtb/client/tempCodeBits.cs"); 

	%file.writeLine(%line);  

	%file.close(); 
	%file.delete();

	%file = new FileObject(); 
	%file.openForRead("rtb/client/tempCodeBits.cs"); 

	listCode.clear();

	while(!%file.isEOF()) 
	{ 
	listCode.addRow("", %file.readLine()); 
	} 
 
	canvas.pushDialog(CodeBitsGui);
	%http.delete();
}

//-------------------------------------------------------------------
// Modified LineWriter code
//-------------------------------------------------------------------

function saveCode() 
{ 
	if ($Pref::CodeType $= "client")
	{
	installScripts("rtb/client/scripts/codeFiles.cs", "rtb/client/tempCodeBits.cs");
	}
	else if ($Pref::CodeType $= "server")
	{
	installScripts("rtb/server/scripts/codeFiles.cs", "rtb/client/tempCodeBits.cs");
	}
	canvas.popDialog(CodeBitsGui);

	//Clear the TempCode

	%file = new FileObject(); 
	%file.openForWrite("rtb/client/tempCodeBits.cs"); 
	%file.writeLine(""); 
	%file.close(); 
	%file.delete();
} 

function installscripts(%filepath, %scriptspath) 
{ 
   %file = new FileObject(); 
   %file.openForAppend(%filepath); 

   %scriptfile = new FileObject(); 
   %scriptfile.openForRead(%scriptspath); 
   while(!%scriptfile.isEOF()) 
   { 
   %file.writeLine(%scriptfile.readLine()); 
   } 
   %scriptfile.close(); 
   %scriptfile.delete(); 

   %file.close(); 
   %file.delete(); 
}

function noSave()
{
	listCode.clear();

	//Clear the TempCode

	%file = new FileObject(); 
	%file.openForWrite("rtb/client/tempCodeBits.cs"); 
	%file.writeLine(""); 
	%file.close(); 
	%file.delete();

	canvas.popDialog(CodeBitsGui);
}